Subject: Re: question about drivers/net/ethernet/sgi

From: Ralf Baechle <[email-masked]>
Date: Thu, 22 Aug 2013 15:16:17 +0200

On Tue, Aug 13, 2013 at 05:43:32PM +0200, Julia Lawall wrote:

> The files in drivers/net/ethernet/sgi (meth.c and ioc3-eth.c) both use
> alloc_skb.  Is there a reason why they do not use netdev_alloc_skb, like
> most other ethernet drivers?

netdev_alloc_skb is such newfangled (2.6.19) interface - and both of these
drivers date back to the 2.3 days.  So the answer is, nobody bothered so
far.

  Ralf